"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _path = _interopRequireDefault(require("path"));

var _pluginSyntaxDecorators = _interopRequireDefault(require("@babel/plugin-syntax-decorators"));

var _pluginSyntaxDynamicImport = _interopRequireDefault(require("@babel/plugin-syntax-dynamic-import"));

var _pluginSyntaxTypescript = _interopRequireDefault(require("@babel/plugin-syntax-typescript"));

var _pluginProposalClassProperties = _interopRequireDefault(require("@babel/plugin-proposal-class-properties"));

var _pluginProposalDoExpressions = _interopRequireDefault(require("@babel/plugin-proposal-do-expressions"));

var _pluginProposalFunctionBind = _interopRequireDefault(require("@babel/plugin-proposal-function-bind"));

var _pluginProposalFunctionSent = _interopRequireDefault(require("@babel/plugin-proposal-function-sent"));

var _pluginProposalJsonStrings = _interopRequireDefault(require("@babel/plugin-proposal-json-strings"));

var _pluginProposalLogicalAssignmentOperators = _interopRequireDefault(require("@babel/plugin-proposal-logical-assignment-operators"));

var _pluginProposalNullishCoalescingOperator = _interopRequireDefault(require("@babel/plugin-proposal-nullish-coalescing-operator"));

var _pluginProposalOptionalChaining = _interopRequireDefault(require("@babel/plugin-proposal-optional-chaining"));

var _pluginProposalPartialApplication = _interopRequireDefault(require("@babel/plugin-proposal-partial-application"));

var _pluginProposalPipelineOperator = _interopRequireDefault(require("@babel/plugin-proposal-pipeline-operator"));

var _pluginProposalPrivateMethods = _interopRequireDefault(require("@babel/plugin-proposal-private-methods"));

var _pluginProposalThrowExpressions = _interopRequireDefault(require("@babel/plugin-proposal-throw-expressions"));

var _helperPluginUtils = require("@babel/helper-plugin-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _default = (0, _helperPluginUtils.declare)(function (api, opts, filename) {
  api.assertVersion(7);

  var ext = _path["default"].extname(filename);

  var _opts$legacyDecorator = opts.legacyDecorators,
      legacyDecorators = _opts$legacyDecorator === void 0 ? true : _opts$legacyDecorator,
      _opts$isTsx = opts.isTsx,
      isTsx = _opts$isTsx === void 0 ? ['.jsx', '.tsx'].includes(ext) : _opts$isTsx,
      _opts$pipelineOperato = opts.pipelineOperator,
      pipelineOperator = _opts$pipelineOperato === void 0 ? 'minimal' : _opts$pipelineOperato;
  return {
    plugins: [[_pluginSyntaxDecorators["default"], {
      legacy: legacyDecorators
    }], _pluginSyntaxDynamicImport["default"], [_pluginSyntaxTypescript["default"], {
      isTsx: isTsx
    }], _pluginProposalClassProperties["default"], _pluginProposalDoExpressions["default"], _pluginProposalFunctionBind["default"], _pluginProposalFunctionSent["default"], _pluginProposalJsonStrings["default"], _pluginProposalLogicalAssignmentOperators["default"], _pluginProposalNullishCoalescingOperator["default"], _pluginProposalOptionalChaining["default"], _pluginProposalPartialApplication["default"], [_pluginProposalPipelineOperator["default"], {
      proposal: pipelineOperator
    }], _pluginProposalPrivateMethods["default"], _pluginProposalThrowExpressions["default"]]
  };
});

exports["default"] = _default;

